API reference · Video conference

Verify face

POST/omni/verifyFace

Base URL: https://demo-api.incodesmile.com — Incode demo environment

A bank executive can ask the customer to additionally capture his face during an interview and do face recognition. A face can be captured from selfie or ID that a customer places in front of camera.

Path & query parameters

Name In Type Required Description
api-version header string yes

Request body

Field Type Required Description
base64Image string Base64 string representation of the image.
interviewId string 5c10c728c7a29d001536ad13
compareWith string yes Enum: selfie, videoSelfie, id, nfc

Responses

200

OK

Response body (application/json):

Field Type Required Description
confidence number (float) Confidence value of comparing. Number between 0 and 1.

400

Custom error statuses: - 4019: Face not found - 1003: Face cropping failure

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?